module Evtfl

  PRE = 'https://api.eventful.com/json/performers'

  class Artist

    def self.search(name)
      url = "#{PRE}/search?app_key=#{Evtfl.api_key}&keywords=#{name}"
      uri = URI(url)
      response = Net::HTTP.get(uri)
      result = JSON.parse(response)
      # "A valid application key is required."
      return result['description'] if result['status'] == 'Authentication Error'
      return result['description'] if result['status'] == 'Missing parameter'
      new(result['performers']['performer'][0])
    end

    attr_reader :name, :short_bio, :id, :url

    def initialize(args = {})
      @name      = args['name']
      @short_bio = args['short_bio']
      @id        = args['id']
      @url       = args['url']
    end

    def concerts
      Evtfl::Concerts.list(id)
    end

  end
end
